Page MenuHomePhabricator

Update Talk page usage metrics
Closed, ResolvedPublic

Description

Request per @schoenbaechler

  • How many people are using native talk pages on Android recently, e.g. in September 2021?
    • How many of these are logged in/out?
    • How many people are editing native talk pages on Android recently, e.g. in September 2021?

Context: Our Q2 goal is to enhance the communication interface to reduce barriers for productively collaborating with other Wikipedians (T291851). The data is going to be essential for how and when we display a survey related to these goals in the app (T291850).

Event Timeline

SNowick_WMF changed the task status from Open to In Progress.Oct 12 2021, 4:50 PM
SNowick_WMF triaged this task as Medium priority.

Superset Event Charts, Data

Overall Talk page Usage, dataset is for 2021-09, from schema MobileWikiAppTalk

Daily Average Unique Users% of Android DAUDaily Average Event Counts
2464.038%6538

Unique Talk page viewers:

AnonLoggedIn
76.7%23.3%

Talk page Edits, from schema wmf.Mediawiki_history

For Talk page edits the ratio of Anon vs LoggedIn is inverted .

AnonLoggedIn
26.1%73.9%

Talk page edits by page type:

TypeCount% of all Talk Edits
User Talk404451.5%
Talk379648.3%
Wikipedia talk7.09%
Draft talk4.05%

All Android edits by namespace:

TypeCount Edits%
Main/Article, Other12240097.8%
Talk pages27142.2%
SNowick_WMF raised the priority of this task from Medium to High.Oct 15 2021, 8:48 PM
SNowick_WMF moved this task from Next 2 weeks to Needs Review on the Product-Analytics (Kanban) board.

Looking at this I wonder if the folks that are anon looking at the page, go and create a login in order to post

SNowick_WMF changed the task status from In Progress to Open.Oct 19 2021, 9:29 PM

@JTannerWMF - we don't track page_id (so we don't know what article or page namespace users are on) in the MobileWikiAppCreateAccount schema, but we do track the source. This data is for the month of 2021-09, broken down by source. Create account events while attempting to edit are .34% of successful account create events.
Data

Successful account creation events:

sourcecount% of Total
blocked5.02%
logout_background40.14%
edit100.34%
system145.5%
reading_lists_manual_sync7322.51%
settings8943.07%
onboarding306710.53%
suggestededits633921.76%
navigation1781461.14%
SNowick_WMF lowered the priority of this task from High to Medium.Oct 25 2021, 4:35 PM

Updated data for 2010-10-01 - 2021-11-28, percent of DAU and ratio of Anon/Logged In users is very close to breakdowns from earlier dataset.

Daily Average Unique Users% of Android DAUDaily Average Event Counts
2403.038%6551

Unique Talk page users:

AnonLoggedIn
76.1%23.9%

Talk Page edit data for 2010-10-01

For Talk page edits the ratio of Logged In to Anon users is slightly increased over 2021-09:

AnonLoggedIn
22.79%77.21 %

Talk page edits by page type:

TypeCount% of all Talk Edits
User Talk150755.6%
Talk120044.3%
Wikipedia talk3.1%
Draft talk1.0%

All Android Edits by Namespace: (Very close to counts/ratio from 2021-09)

TypeCount Edits%
Main/Article, Other12244697.83%
Talk pages27112.17%

Going forward refer to https://phabricator.wikimedia.org/T29497 as Baseline Data for ongoing Talk Page Edit activity/data.